summaryrefslogtreecommitdiff
path: root/build-aux
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2009-04-05 23:13:32 +0200
committerBruno Haible <bruno@clisp.org>2009-04-05 23:13:32 +0200
commitb3b11acf3a7a644548176af406b5a89b6e999006 (patch)
treec95d739278dc42459735ec3a8689d8e470424ea9 /build-aux
parent3fbdd967674fd36443c5740d00b8793d6308b376 (diff)
downloadlibunistring-b3b11acf3a7a644548176af406b5a89b6e999006.tar.gz
Wrapper around 'aclocal'.
Diffstat (limited to 'build-aux')
-rwxr-xr-xbuild-aux/fixaclocal35
1 files changed, 35 insertions, 0 deletions
diff --git a/build-aux/fixaclocal b/build-aux/fixaclocal
new file mode 100755
index 0000000..10ff8e4
--- /dev/null
+++ b/build-aux/fixaclocal
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Script for fixing aclocal.m4 files produced by 'aclocal' from automake 1.10.
+# Copyright (C) 2006, 2008 Free Software Foundation, Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Usage: fixaclocal aclocal [OPTIONS]
+
+"$@"
+result=$?
+if test $result = 0 && test -f aclocal.m4; then
+ # Remove the block of 4 lines starting with 'm4_if(m4_PACKAGE_VERSION'
+ # and the block of 5 lines starting with 'm4_if(AC_AUTOCONF_VERSION'
+ # (automake <= 1.10.1) or with 'm4_if(m4_defn([AC_AUTOCONF_VERSION])'
+ # (automake >= 1.10.2).
+ sed -e '/m4_if(m4_PACKAGE_VERSION/{N;N;N;d}' -e '/m4_if(AC_AUTOCONF_VERSION/{N;N;N;N;d}' -e '/m4_if(m4_defn(\[AC_AUTOCONF_VERSION\])/{N;N;N;N;d}' < aclocal.m4 > aclocal.m4.tmp
+ if cmp aclocal.m4 aclocal.m4.tmp > /dev/null; then
+ rm -f aclocal.m4.tmp
+ else
+ mv aclocal.m4.tmp aclocal.m4
+ fi
+else
+ exit $result
+fi